summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkus Ullmann <jokey@gentoo.org>2006-11-13 23:18:01 +0000
committerMarkus Ullmann <jokey@gentoo.org>2006-11-13 23:18:01 +0000
commitdc45b11f2cd8bd7537fb1adb1c295baabc67287a (patch)
tree2b01c9c8dc236509d3a00217aa8c5663aef2338c /app-misc/g15daemon/files
parentVersion bump thanks to Robert Buchholz (diff)
downloadgentoo-2-dc45b11f2cd8bd7537fb1adb1c295baabc67287a.tar.gz
gentoo-2-dc45b11f2cd8bd7537fb1adb1c295baabc67287a.tar.bz2
gentoo-2-dc45b11f2cd8bd7537fb1adb1c295baabc67287a.zip
Version bump
(Portage version: 2.1.2_rc1-r6)
Diffstat (limited to 'app-misc/g15daemon/files')
-rw-r--r--app-misc/g15daemon/files/digest-g15daemon-1.2.53
-rw-r--r--app-misc/g15daemon/files/g15daemon-1.2.5.confd6
-rw-r--r--app-misc/g15daemon/files/g15daemon-1.2.5.initd35
3 files changed, 44 insertions, 0 deletions
diff --git a/app-misc/g15daemon/files/digest-g15daemon-1.2.5 b/app-misc/g15daemon/files/digest-g15daemon-1.2.5
new file mode 100644
index 000000000000..19a3a4733133
--- /dev/null
+++ b/app-misc/g15daemon/files/digest-g15daemon-1.2.5
@@ -0,0 +1,3 @@
+MD5 59753037fc0e93b83ae67f8c38db4b82 g15daemon-1.2.5.tar.bz2 281845
+RMD160 fefe5c802469e67553e483626b28369a525fdd05 g15daemon-1.2.5.tar.bz2 281845
+SHA256 64b5046566d6116847826ecef6adcf9a87e279ea68bf1270d0ff314a3489b4e9 g15daemon-1.2.5.tar.bz2 281845
diff --git a/app-misc/g15daemon/files/g15daemon-1.2.5.confd b/app-misc/g15daemon/files/g15daemon-1.2.5.confd
new file mode 100644
index 000000000000..e2b959ebebe1
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon-1.2.5.confd
@@ -0,0 +1,6 @@
+# /etc/conf.d/g15daemon: Configuration for the g15daemon
+
+# The L1 key is a , above the multimedia keys.
+# Key to switch the client-screens. Default is the MR key,
+# Set to "yes" to use L1 key instead (black round key below the LCD).
+CLIENT_SWITCH_L1="no" \ No newline at end of file
diff --git a/app-misc/g15daemon/files/g15daemon-1.2.5.initd b/app-misc/g15daemon/files/g15daemon-1.2.5.initd
new file mode 100644
index 000000000000..b31ccb9d7fc8
--- /dev/null
+++ b/app-misc/g15daemon/files/g15daemon-1.2.5.initd
@@ -0,0 +1,35 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/g15daemon/files/g15daemon-1.2.5.initd,v 1.1 2006/11/13 23:18:01 jokey Exp $
+
+# Init script for g15daemon
+
+depend() {
+ after hotplug
+ after usb
+ after modules
+}
+
+start() {
+ ebegin "Starting g15daemon"
+
+ # Does the input device already exist?
+ if [[ -e /proc/modules && ! -e /dev/input/uinput ]] ; then
+ # We can load modules, but uinput device does not exist
+ einfo "Loading uinput module"
+ /sbin/modprobe uinput &> /dev/null
+ fi
+
+ local SWITCHKEY=""
+ [[ ${CLIENT_SWITCH_L1} = "yes" ]] && SWITCHKEY="--switch"
+ start-stop-daemon --start --background --pidfile /var/run/g15daemon.pid \
+ --exec /usr/sbin/g15daemon -- ${SWITCHKEY}
+ eend $? "Failed to start g15daemon."
+}
+
+stop() {
+ ebegin "Stopping g15daemon"
+ start-stop-daemon --stop --quiet --pidfile /var/run/g15daemon.pid
+ eend $?
+}